︠2574de4a-4678-4310-b369-99de8727dd31is︠
%md
Example boxplot code, taken from http://matplotlib.org/examples/pylab_examples/boxplot_demo.html
︡f171e9b8-2559-4c5f-ba82-d87050792c73︡{"md":"Example boxplot code, taken from http://matplotlib.org/examples/pylab_examples/boxplot_demo.html\n"}︡
︠04d19be0-5488-4ef6-880b-dca271bb996cs︠
from pylab import *
def f():

    # fake up some data
    spread= rand(50) * 100
    center = ones(25) * 50
    flier_high = rand(10) * 100 + 100
    flier_low = rand(10) * -100
    data =concatenate((spread, center, flier_high, flier_low), 0)

    # basic plot
    boxplot(data)

    # notched plot
    figure()
    boxplot(data,1)

    # change outlier point symbols
    figure()
    boxplot(data,0,'gD')

    # don't show outlier points
    figure()
    boxplot(data,0,'')

    # horizontal boxes
    figure()
    boxplot(data,0,'rs',0)

    # change whisker length
    figure()
    boxplot(data,0,'rs',0,0.75)

    # fake up some more data
    spread= rand(50) * 100
    center = ones(25) * 40
    flier_high = rand(10) * 100 + 100
    flier_low = rand(10) * -100
    d2 = concatenate( (spread, center, flier_high, flier_low), 0 )
    data.shape = (-1, 1)
    d2.shape = (-1, 1)
    #data = concatenate( (data, d2), 1 )
    # Making a 2-D array only works if all the columns are the
    # same length.  If they are not, then use a list instead.
    # This is actually more efficient because boxplot converts
    # a 2-D array into a list of vectors internally anyway.
    data = [data, d2, d2[::2,0]]
    # multiple box plots on one figure
    figure()
    boxplot(data)

    show()

# now do it:
f()
︡66d46e51-a2f2-4309-9f8f-593d6b37e1d0︡{"once":false,"file":{"show":true,"uuid":"744ff667-1ccb-4e40-926b-fb801ca47e06","filename":"ed87ea63-951e-4769-aa86-5c7c0fbfb8c5.svg"}}︡
︠53e05d5e-61e3-4a13-bf4d-e1a3a2820dc7︠









